﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Drawing;
using System.Runtime.Serialization;

namespace PresentItNow
{
    [ServiceContract]
    public interface IContract
    {
        [OperationContract]
        byte[] GetPicture(ClientInfo clientInfo, double quality);

        [OperationContract]
        void Ping();
    }

    [DataContract]
    public class ClientInfo
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public double PointToX { get; set; }

        [DataMember]
        public double PointToY { get; set; }
    }
}
